<ul>
    <li *ngFor="#val of range" (click)="updateRating(val); $event.stopPropagation()"><img [src]="val<=rate?'assets/heart.svg':'assets/heart_outline.svg'" [attr.width]="size" [attr.height]="size"></li>
</ul>